Bug 178126 - firstboot won't run on X-less machines
firstboot won't run on X-less machines
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-01-17 16:37 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-10 10:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-01-17 16:37:01 EST
if you disable X & Gnome in package selection, for obvious reasons, firstboot
doesn't run.  This is a bit of a disaster given we've moved things like user
account creation, selinux config etc etc there, as this now doesn't happen.

Perhaps if a 'console only' install is happening, we should run firstboot at the
end of the install before we reboot ?  (I hear the screams of horror already).
Comment 1 Chris Lumens 2006-01-19 14:51:42 EST
Blasted firstboot apart into a little X-less subpackage.  Now to just wait for
other stuff to get done to make sure it's installed.  Bug 178356 is keeping
track of that.

Note You need to log in before you can comment on or make changes to this bug.